Bug 734119 - Review Request: libwbxml-compat - Library to parse, encode and handle WBXML documents
Summary: Review Request: libwbxml-compat - Library to parse, encode and handle WBXML d...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Petr Šabata
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 731304
TreeView+ depends on / blocked
 
Reported: 2011-08-29 13:50 UTC by Petr Pisar
Modified: 2011-09-09 17:04 UTC (History)
3 users (show)

Fixed In Version: libwbxml-0.11.0-1.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-09-09 17:04:02 UTC
psabata: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Petr Pisar 2011-08-29 13:50:29 UTC
Spec URL: http://ppisar.fedorapeople.org/libwbxml-compat/libwbxml-compat.spec
SRPM URL: http://ppisar.fedorapeople.org/libwbxml-compat/libwbxml-compat-0.10.9-1.fc15.src.rpm
Description:
WBXML parses, encodes and handles WBXML documents. The WBXML format is
a binary representation of XML, defined by the Wap Forum, and used to reduce
bandwidth in mobile communications.

This WBXML library is compatible library to provide old API of libwbxml before
0.11.0 version. Latest WBXML library and WBXML tools are available in
`libwbxml' package.

Comment 1 Petr Šabata 2011-08-30 14:18:47 UTC
Package: libwbxml-compat
Version: 0.10.9
Release: 1.fc15
Sources: libwbxml-0.10.9.tar.bz2
Patches: libwbxml-0.10.9-pkg-config-module-links-against-compat-library.patch
----------
Package successfully built in koji, dist-rawhide.
Package successfully built in koji, f16.

MUST items:
[  OK  ] Package does NOT include pre-built binaries or libraries
[  OK  ] Spec file is legible and written in American english
[  OK  ] Package successfully builds on at least one supported primary architecture
[  --  ] All ExcludeArch tags valid, referencing proper bug reports
[  OK  ] Package obeys FHS (with _libexecdir and /srv exceptions)
[  OK  ] No errors reported by rpmlint
[  OK  ] Changelog present and properly formatted
[  OK  ] Package does NOT include Packager, Vendor, Copyright or PreReq tags
[  OK  ] Source tags are working URLs and sources match upstream or justified otherwise
[  OK  ] Requires correct or justified otherwise
[  OK  ] BuildRequires correct or justified otherwise
[  OK  ] All file names are in proper UTF-8 encoding
[  OK  ] All plain text failes are in proper UTF-8 encoding
[  --  ] Large documentation files are located in doc subpackage
[  OK  ] All documentation prefixed with %doc
[  OK  ] Documentation is NOT executable
[  OK  ] No files in %doc are needed at run-time
[  ??  ] Compiler flags honor Fedora defaults or are justified
[  OK  ] Package generates useful debuginfo packages
[  OK  ] Header files are placed in devel subpackage
[  OK  ] Unversioned shared libraries are placed in devel subpackage
[  OK  ] Pkgconfig files are placed in devel subpackage
[  OK  ] Full-versioned Requires of the base package in subpackages
[  OK  ] Package calls ldconfig in post and postun sections for all subpackages, if applicable
[  --  ] Static libraries are provided by static subpackage
[  OK  ] Package contains no static executables unless approved by FESCo
[  OK  ] Package does NOT bundle any system libraries
[  OK  ] RPath not used for anything besides internal libraries
[  --  ] All config files are marked noreplace or justified otherwise
[  OK  ] No config files are located under /usr
[  --  ] Package contains working systemd unit files and requires systemd-units
[  --  ] All systemd unit files are named according to the Guidelines
[  --  ] Package contains a SystemV-compatible initscript only as an optional addition to systemd unit files
[  --  ] If package contains an initscript, it's placed in sysvinit subpackage
[  --  ] A GUI application installs a proper desktop file
[  --  ] All desktop files are installed by desktop-file-install or justified otherwise
[  OK  ] Package consistently uses macros
[  --  ] makeinstall macro is used only if make install DESTDIR=%{buildroot} does NOT work
[  --  ] Macros in Summary and description are expandable at build-time
[  OK  ] globals used in place of defines
[  --  ] Locales handled correctly -- package requires gettext and uses find_lang, if applicable
[  OK  ] Scriptlets are sane
[  OK  ] Package is not relocatable unless justified
[  OK  ] Package contains only acceptable code or content
[  OK  ] Package owns all the files and directories it creates, installs and/or uses unless those are already owned by another package
[  OK  ] files sections do NOT contain duplicate files except for licenses
[  OK  ] Package does NOT cause any conflicts
[  OK  ] Package does NOT contain kernel modules
[  OK  ] Package does NOT bundle fonts or other general purpose data
[  OK  ] Final Requires and Provides are sane

SHOULD items:
[  OK  ] The Summary does NOT end with a period
[  OK  ] Package does NOT include BuildRoot tag, clean section or buildroot removal in install section
[  OK  ] Package should preserve files timestamps
[  OK  ] Package does NOT explicitly BuildRequire bash, bzip2, coreutils, cpio, diffutils, fedora-release, findutils, gawk, gcc, gcc-c++, grep, gzip, info, make, patch, redhat-rpm-config, rpm-build, sed, shadow-utils, tar, unzip, util-linux-ng, which or xz
[  OK  ] Description does NOT consist of lines longer than 80 characters
[  OK  ] Package uses parallel make
[  --  ] In case of a web application, package installs date into /usr/share instead of /var/www
[ NOTE ] All patches have a comment or an upstream bug link
[  --  ] Package installs manpages for all executables
[  OK  ] Package contains check section and all tests pass
[  ??  ] Package works as expected

NOTES:
------
I don't know if cmake actually respects Fedora CFLAGS but the package is written in compliance with the Guidelines.

The patch is self-explanatory.

Approving.

Comment 2 Petr Pisar 2011-08-30 14:38:32 UTC
New Package SCM Request
=======================
Package Name: libwbxml-compat 
Short Description: Library to parse, encode and handle WBXML documents
Owners: ppisar awjb
Branches: f16
InitialCC:

Comment 3 Gwyn Ciesla 2011-08-30 15:41:13 UTC
Git done (by process-git-requests).

psabata, please take ownership of your review BZs.  Thanks!

Comment 4 Petr Pisar 2011-08-31 08:56:52 UTC
Thank you for the review and the repository.

Comment 5 Fedora Update System 2011-08-31 09:08:10 UTC
libwbxml-0.11.0-1.fc16,libwbxml-compat-0.10.9-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/libwbxml-0.11.0-1.fc16,libwbxml-compat-0.10.9-1.fc16

Comment 6 Fedora Update System 2011-08-31 21:44:21 UTC
Package libwbxml-0.11.0-1.fc16, libwbxml-compat-0.10.9-1.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libwbxml-0.11.0-1.fc16 libwbxml-compat-0.10.9-1.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/libwbxml-0.11.0-1.fc16,libwbxml-compat-0.10.9-1.fc16
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2011-09-09 17:03:51 UTC
libwbxml-0.11.0-1.fc16, libwbxml-compat-0.10.9-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.